<main class="responsive max">
    <slot/>
</main>

<script lang="ts">
	import { authToken } from "$lib";
	import { onMount } from "svelte";

    onMount(() => {
        if (localStorage) {
            console.log("execute");
            $authToken = localStorage.getItem("token") || "";
        }
    });
</script>